$ErrorActionPreference = 'Stop';

$packageName= 'datastar'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = 'https://datastar.software/download/DataStar.x86.2.6.0.10.msi' 
  url64bit      = 'https://datastar.software/download/DataStar.x64.2.6.0.10.msi' 
  softwareName  = 'DataStar*' #part or all of the Display Name as you see it in Programs and Features. It should be enough to be unique
  checksum      = '8702AAC00041CA0A636406BA3D2B7E1B92A28629A7148B0137576E6E9C2B4ECC'
  checksum64    = '6089E265FC6DEFF73AB4C1D6961997C9F945EC06761AF61811C1F9170A6FD92B'
  checksumType  = 'sha256' #default is md5, can also be sha1, sha256 or sha512
  checksumType64= 'sha256' #default is md5, can also be sha1, sha256 or sha512
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" # ALLUSERS=1 DISABLEDESKTOPSHORTCUT=1 ADDDESKTOPICON=0 ADDSTARTMENU=0
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs

